Subject: RE: Request for change to /etc/profile
From: <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Wed, 22 Sep 2004 10:28:29 +0100

Hi,

I've got a sort-of-related issue with the location of the home directory.

On my work laptop, my home directory is on a network share (mapped as a H:
drive) and "My Documents" is on their too. This is made available offline using
the ... "Make Available Offline" feature of WinXP.

When I'm connected to the network all is well and cygwin correctly finds my home
directory, However, if I'm not connected to the network, cygwin just starts in
root (/). My home directory is there on the machine, but cygwin doesn't find it.

Is there any chance that this could be fixed?

Thanks,

R.
--
http://robinbowes.com  

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: 22 September 2004 08:31
> To: [email-masked]
> Subject: Re: Request for change to /etc/profile
> 
> On 21 Sep, CyberZombie wrote:
> >  Or 'mkdir -p "$HOME"'...
> 
> No, that would do entirely the wrong thing!
> 
> If the place where /home is supposed to be mounted hasn't 
> been mounted,
> the last thing you want to do is create an alternate /home.
> 
> I can imagine the weird problems and reports ("all my files
> disappeared!"), that doing mkdir -p would cause!
> 
> My change means that if you can't make the user directory, you just
> don't try to create the skeleton files in it for them.
> 
> >  >$ diff /etc/profile /etc/profile.orig
> >  >38,39c38
> >  >< if [ ! -d "$HOME" ] && mkdir "$HOME"
> >  >< then
> >  >---
> > >  
> >  >
> >  >>if [ ! -d "$HOME" ]; then
> 
> luke
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/